
#include <avr/io.h>
#include <stdio.h>

#include "main_init.h"
#include "axlib/timers.h"
#include "axlib/lcd.h"
#include "buttons.h"
#include "axlib/ports.h"


volatile uint8_t a=10;


int main(void)
{
	
	
PORTD_IN(5);
PORTD_ON(5);	
PORTD_IN(6);
PORTD_ON(6);	
PORTD_IN(7);
PORTD_ON(7);

//  

timers_init();

//   0   10 

timer(TIMER_0, 10, ON);

//   1   250 

timer(TIMER_1, 250, ON);

//  

lcd_init(0);
char buffer[17];


	while(1)
	{

		//    T0
		
		if(T0_START)
		{
			read_button();
			    									 
			T0_STOP;
	   	}

		//    T1
		
		if(T1_START)
		
		{
		  
	
	
			lcd_gotoxy(0,0);
			sprintf(buffer, "a+5=%i ",a+5 );
			lcd_str_out(buffer);
			
			lcd_gotoxy(0,1);
			sprintf(buffer, "a=%i ", a);
			lcd_str_out(buffer);
			
			T1_STOP;
		}

		 if(OK.click){        //    
              OK.click=0;          //  
              a+=1;                  
              }
    
	     if(OK.l_click){        //     
              OK.l_click=0;          //  
              a+=10;                  
              }    
	
	   
	}// while
} //  main
